module Latias
  module Date
    module Formater
      def buddist_date_format(date, format: '%e %B %Y')
        format = format.gsub('%Y', buddhist_year(date.year).to_s)
        format = format.gsub('%y', (buddhist_year(date.year) % 100).to_s)
        I18n.l(date, format: format, locale: :th)
      end

      def buddhist_year(year)
        year + 543
      end
    end
  end
end

# extend Latias::Date::Format
