{
  th: {
    date: {
      formats: {
        default: ->(date) { "%-d %B #{date.year + 543}" },
        full: ->(date) { "%A %-d %B #{date.year + 543}" },
        short: ->(date) { "%B #{date.year + 543}" },
        month: ->(_date) { '%B' },
        year: ->(date) { date.year + 543 }
      }
    },
    time_with_zone: {
      formats: {
        default: ->(time) { "%d %B #{time.year + 543} %H:%M:%S" }
      }
    },
    time: {
      formats: {
        default: ->(time) { "%d %B #{time.year + 543} %H:%M:%S" },
        full: ->(time) { "%A %d %B #{time.year + 543} %H:%M:%S" }
      }
    }
  }
}
